// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_FImplementedInterface.h"
#include "SCW_UClass.h"
#include "SCW_UObject.h"
#include "SourcifyCoreUEWrapperModule.h"



using namespace Sourcify;

SCW_FImplementedInterface::SCW_FImplementedInterface(FImplementedInterface* InImplementedInterface) : ImplementedInterface(InImplementedInterface)
{

}

FImplementedInterface* SCW_FImplementedInterface::ToFImplementedInterface() const
{
	return ImplementedInterface;
}

ISCW_FImplementedInterfacePtr SCW_FImplementedInterface::ToFImplementedInterfacePtr()
{
	return GetSharedThisAs<SCW_FImplementedInterface>();
}

ISCW_FImplementedInterfaceConstPtr SCW_FImplementedInterface::ToFImplementedInterfacePtr() const
{
	return GetSharedThisAs<SCW_FImplementedInterface>();
}

ISCW_UClassPtr SCW_FImplementedInterface::GetClass() const
{
	return FSourcifyCoreUEWrapper::Get().Wrap(*ImplementedInterface->Class);
}
